Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

## Class TransactionReferences3

- java.lang.Object
- - org.kapott.hbci.sepa.jaxb.camt_052_001_05.TransactionReferences3

    public class TransactionReferences3
    extends java.lang.Object

Java class for TransactionReferences3 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="TransactionReferences3">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="MsgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="AcctSvcrRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="PmtInfId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="InstrId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="EndToEndId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="TxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="MndtId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="ChqNb" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="ClrSysRef" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="AcctOwnrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="AcctSvcrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="MktInfrstrctrTxId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="PrcgId" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Max35Text" minOccurs="0"/>
             <element name="Prtry" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}ProprietaryReference1" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

### Field Summary

Fields
`protected java.lang.String` `acctOwnrTxId`
`protected java.lang.String` `acctSvcrRef`
`protected java.lang.String` `acctSvcrTxId`
`protected java.lang.String` `chqNb`
`protected java.lang.String` `clrSysRef`
`protected java.lang.String` `endToEndId`
`protected java.lang.String` `instrId`
`protected java.lang.String` `mktInfrstrctrTxId`
`protected java.lang.String` `mndtId`
`protected java.lang.String` `msgId`
`protected java.lang.String` `pmtInfId`
`protected java.lang.String` `prcgId`
`protected java.util.List<ProprietaryReference1>` `prtry`
`protected java.lang.String` `txId`

### Constructor Summary

Constructors
`TransactionReferences3()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getAcctOwnrTxId()` Gets the value of the acctOwnrTxId property.
`java.lang.String` `getAcctSvcrRef()` Gets the value of the acctSvcrRef property.
`java.lang.String` `getAcctSvcrTxId()` Gets the value of the acctSvcrTxId property.
`java.lang.String` `getChqNb()` Gets the value of the chqNb property.
`java.lang.String` `getClrSysRef()` Gets the value of the clrSysRef property.
`java.lang.String` `getEndToEndId()` Gets the value of the endToEndId property.
`java.lang.String` `getInstrId()` Gets the value of the instrId property.
`java.lang.String` `getMktInfrstrctrTxId()` Gets the value of the mktInfrstrctrTxId property.
`java.lang.String` `getMndtId()` Gets the value of the mndtId property.
`java.lang.String` `getMsgId()` Gets the value of the msgId property.
`java.lang.String` `getPmtInfId()` Gets the value of the pmtInfId property.
`java.lang.String` `getPrcgId()` Gets the value of the prcgId property.
`java.util.List<ProprietaryReference1>` `getPrtry()` Gets the value of the prtry property.
`java.lang.String` `getTxId()` Gets the value of the txId property.
`void` `setAcctOwnrTxId​(java.lang.String value)` Sets the value of the acctOwnrTxId property.
`void` `setAcctSvcrRef​(java.lang.String value)` Sets the value of the acctSvcrRef property.
`void` `setAcctSvcrTxId​(java.lang.String value)` Sets the value of the acctSvcrTxId property.
`void` `setChqNb​(java.lang.String value)` Sets the value of the chqNb property.
`void` `setClrSysRef​(java.lang.String value)` Sets the value of the clrSysRef property.
`void` `setEndToEndId​(java.lang.String value)` Sets the value of the endToEndId property.
`void` `setInstrId​(java.lang.String value)` Sets the value of the instrId property.
`void` `setMktInfrstrctrTxId​(java.lang.String value)` Sets the value of the mktInfrstrctrTxId property.
`void` `setMndtId​(java.lang.String value)` Sets the value of the mndtId property.
`void` `setMsgId​(java.lang.String value)` Sets the value of the msgId property.
`void` `setPmtInfId​(java.lang.String value)` Sets the value of the pmtInfId property.
`void` `setPrcgId​(java.lang.String value)` Sets the value of the prcgId property.
`void` `setTxId​(java.lang.String value)` Sets the value of the txId property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msgId

    protected java.lang.String msgId

#### acctSvcrRef

    protected java.lang.String acctSvcrRef

#### pmtInfId

    protected java.lang.String pmtInfId

#### instrId

    protected java.lang.String instrId

#### endToEndId

    protected java.lang.String endToEndId

#### txId

    protected java.lang.String txId

#### mndtId

    protected java.lang.String mndtId

#### chqNb

    protected java.lang.String chqNb

#### clrSysRef

    protected java.lang.String clrSysRef

#### acctOwnrTxId

    protected java.lang.String acctOwnrTxId

#### acctSvcrTxId

    protected java.lang.String acctSvcrTxId

#### mktInfrstrctrTxId

    protected java.lang.String mktInfrstrctrTxId

#### prcgId

    protected java.lang.String prcgId

#### prtry

    protected java.util.List<ProprietaryReference1> prtry

### Constructor Detail

#### TransactionReferences3

    public TransactionReferences3()

### Method Detail

#### getMsgId

    public java.lang.String getMsgId()

Gets the value of the msgId property.

Returns:
  possible object is `String`

#### setMsgId

    public void setMsgId​(java.lang.String value)

Sets the value of the msgId property.

Parameters:
  `value` - allowed object is `String`

#### getAcctSvcrRef

    public java.lang.String getAcctSvcrRef()

Gets the value of the acctSvcrRef property.

Returns:
  possible object is `String`

#### setAcctSvcrRef

    public void setAcctSvcrRef​(java.lang.String value)

Sets the value of the acctSvcrRef property.

Parameters:
  `value` - allowed object is `String`

#### getPmtInfId

    public java.lang.String getPmtInfId()

Gets the value of the pmtInfId property.

Returns:
  possible object is `String`

#### setPmtInfId

    public void setPmtInfId​(java.lang.String value)

Sets the value of the pmtInfId property.

Parameters:
  `value` - allowed object is `String`

#### getInstrId

    public java.lang.String getInstrId()

Gets the value of the instrId property.

Returns:
  possible object is `String`

#### setInstrId

    public void setInstrId​(java.lang.String value)

Sets the value of the instrId property.

Parameters:
  `value` - allowed object is `String`

#### getEndToEndId

    public java.lang.String getEndToEndId()

Gets the value of the endToEndId property.

Returns:
  possible object is `String`

#### setEndToEndId

    public void setEndToEndId​(java.lang.String value)

Sets the value of the endToEndId property.

Parameters:
  `value` - allowed object is `String`

#### getTxId

    public java.lang.String getTxId()

Gets the value of the txId property.

Returns:
  possible object is `String`

#### setTxId

    public void setTxId​(java.lang.String value)

Sets the value of the txId property.

Parameters:
  `value` - allowed object is `String`

#### getMndtId

    public java.lang.String getMndtId()

Gets the value of the mndtId property.

Returns:
  possible object is `String`

#### setMndtId

    public void setMndtId​(java.lang.String value)

Sets the value of the mndtId property.

Parameters:
  `value` - allowed object is `String`

#### getChqNb

    public java.lang.String getChqNb()

Gets the value of the chqNb property.

Returns:
  possible object is `String`

#### setChqNb

    public void setChqNb​(java.lang.String value)

Sets the value of the chqNb property.

Parameters:
  `value` - allowed object is `String`

#### getClrSysRef

    public java.lang.String getClrSysRef()

Gets the value of the clrSysRef property.

Returns:
  possible object is `String`

#### setClrSysRef

    public void setClrSysRef​(java.lang.String value)

Sets the value of the clrSysRef property.

Parameters:
  `value` - allowed object is `String`

#### getAcctOwnrTxId

    public java.lang.String getAcctOwnrTxId()

Gets the value of the acctOwnrTxId property.

Returns:
  possible object is `String`

#### setAcctOwnrTxId

    public void setAcctOwnrTxId​(java.lang.String value)

Sets the value of the acctOwnrTxId property.

Parameters:
  `value` - allowed object is `String`

#### getAcctSvcrTxId

    public java.lang.String getAcctSvcrTxId()

Gets the value of the acctSvcrTxId property.

Returns:
  possible object is `String`

#### setAcctSvcrTxId

    public void setAcctSvcrTxId​(java.lang.String value)

Sets the value of the acctSvcrTxId property.

Parameters:
  `value` - allowed object is `String`

#### getMktInfrstrctrTxId

    public java.lang.String getMktInfrstrctrTxId()

Gets the value of the mktInfrstrctrTxId property.

Returns:
  possible object is `String`

#### setMktInfrstrctrTxId

    public void setMktInfrstrctrTxId​(java.lang.String value)

Sets the value of the mktInfrstrctrTxId property.

Parameters:
  `value` - allowed object is `String`

#### getPrcgId

    public java.lang.String getPrcgId()

Gets the value of the prcgId property.

Returns:
  possible object is `String`

#### setPrcgId

    public void setPrcgId​(java.lang.String value)

Sets the value of the prcgId property.

Parameters:
  `value` - allowed object is `String`

#### getPrtry

    public java.util.List<ProprietaryReference1> getPrtry()

Gets the value of the prtry property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the prtry property.

For example, to add a new item, do as follows:

        getPrtry().add(newItem);

Objects of the following type(s) are allowed in the list `ProprietaryReference1`